Summary: Firefox extension that saves and restores the state of all windows
Name: firefox-ext-session_manager
Version: 0.7.8.1
Release: %mkrel 0.1
License: MPL
Group:	Networking/WWW
URL:	https://addons.mozilla.org/en-US/firefox/addon/722/ 
Source: http://downloads.mozdev.org/sessionmanager/session_manager-%{version}-fx+sm.xpi
Requires: firefox >= %{firefox_epoch}:%{firefox_version}
BuildRequires: firefox-devel
Buildarch: noarch

%description
Building upon SessionStore, this extension allows you to save the current state
of Firefox (history, text data, cookies) and return to that state at any later
moment. Besides the manually saved states, Session Manager automatically stores
the current state in case of a crash.

All sessions are stored in the "sessions" folder inside your profile directory
and can be moved around as any other file. To get to that folder, simply select
"Open Session Folder" in Session Manager's menu (might not work on all OSes).
Finally, Session Manager also allows to reopen the 10 last closed windows and
tabs.

%prep
%setup -q -c -n %{name}-%{version}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{firefox_extdir}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{firefox_extdir}/"
mkdir -p "%{buildroot}$extdir"
cp -af %SOURCE0 "%{buildroot}$extdir/$hash.xpi"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{firefox_extdir}



%changelog

* Wed Dec 14 2011 tv <tv> 0.7.8.1-0.1.mga2
+ Revision: 181569
- imported package firefox-ext-session_manager

